Environment API
Project-level environment variables
REST API endpoints for Environment. 4 operations.
List environment variables
plaintext
GET /v1/envReturns all project-level environment variables (secret values masked).
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | All project environment variables |
401 | Missing or invalid credentials |
500 | Internal error |
operationId: listEnvVars
Set an environment variable
plaintext
POST /v1/envCreates or updates a single project-level environment variable.
Auth: Bearer API key
Request body
application/json (required) — schema SetEnvBody.
Responses
| Status | Description |
|---|---|
200 | Variable created or updated |
401 | Missing or invalid credentials |
500 | Internal error |
operationId: setEnvVar
Delete an environment variable
plaintext
DELETE /v1/env/{id}Removes a project-level environment variable by id.
Auth: Bearer API key
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Environment variable id |
Responses
| Status | Description |
|---|---|
200 | Variable deleted |
401 | Missing or invalid credentials |
404 | Variable not found |
500 | Internal error |
operationId: deleteEnvVar
Bulk-import environment variables
plaintext
POST /v1/env/bulkImports many project-level environment variables in one request.
Auth: Bearer API key
Request body
application/json (required) — schema BulkImportBody.
Responses
| Status | Description |
|---|---|
200 | Variables imported |
401 | Missing or invalid credentials |
500 | Internal error |
operationId: bulkImportEnvVars